Bug 140802 - kudzu thinks graphics chip is new and reinstalls if synaptics options are specified
kudzu thinks graphics chip is new and reinstalls if synaptics options are spe...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 19:25 EST by Justin Georgeson
Modified: 2014-03-16 22:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.2.47-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 20:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X.org config file (3.42 KB, text/plain)
2004-11-29 20:52 EST, Justin Georgeson
no flags Details
sysconfig hwconf file (4.00 KB, text/plain)
2004-11-29 20:54 EST, Justin Georgeson
no flags Details
output of kudzu -p (4.00 KB, text/plain)
2004-11-29 21:09 EST, Justin Georgeson
no flags Details

  None (edit)
Description Justin Georgeson 2004-11-24 19:25:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The default InputDevice section for the synaptics touchpad is

Section "InputDevice"
        Identifier  "Synaptics"
        Driver      "synaptics"
        Option      "Device"            "/dev/input/mice"
        Option      "Protocol"          "auto-dev"
        Option      "Emulate3Buttons"   "yes"
EndSection

If I specify any additional options listed from 
/usr/share/docs/synaptics-0.13.5/README, the next time I reboot, kudzu
says it found a new Intel i830M chipset installed and rewrites
/etc/X11/xorg.conf with the basic default. Even if I tell kudzu to do
nothing and stop telling me about this 'new' hardware, it keeps
finding it.

Version-Release number of selected component (if applicable):
kudzu-1.1.95-1

How reproducible:
Always

Steps to Reproduce:
1. Set additional driver options,
/usr/share/docs/synaptics-0.13.5/README, in the Synaptics InputDevice
section of /etc/X11/xorg.conf.
2. Reboot

    

Actual Results:  Kudzu writes a default xorg.conf which looses the
synaptics options and the monitor (resolution is changed as a result).
Kudzu can't be made to ignore the 'new' hardware.

Expected Results:  Kudzu should not think there is any new hardware as
none has been added. 

Additional info:
Comment 1 Bill Nottingham 2004-11-28 15:36:28 EST
Please attach a) your /etc/sysconfig/hwconf b) the output of 'kudzu
-p' from single-user-mode on boot c) your /etc/X11/xorg.conf.
Comment 2 Justin Georgeson 2004-11-29 20:52:50 EST
Created attachment 107598 [details]
X.org config file
Comment 3 Justin Georgeson 2004-11-29 20:54:42 EST
Created attachment 107599 [details]
sysconfig hwconf file
Comment 4 Justin Georgeson 2004-11-29 21:09:05 EST
Created attachment 107600 [details]
output of kudzu -p
Comment 5 Justin Georgeson 2004-11-29 21:12:26 EST
well. something happened to make it stop. The only think that was
different about the last time it happened is that instead of editing
xorg.conf by hand, I just copied the backup copy created when kudzu
wrote the default one.
Comment 6 Bill Nottingham 2004-11-29 22:26:40 EST
Hm, I'm confused. kudzu doesn't parse /etc/X11/xorg.conf, now that I
reread the  code. It just checks that it exists.
Comment 7 Justin Georgeson 2004-11-29 23:21:31 EST
I was having trouble with the scrolling areas of the synaptics
touchpad. Mostly that the borders determinig what parts of the
touchpad generated scrolling events were too big. So I would change
them by editing xorg.conf with vi. Everything would work, then I would
reboot. kudzu would tell me it found new hardware, listing the Intel
i830m chipset. At first I said to install it, but then the synaptics
driver options would be lost. So I would edit the new xorg.conf by
hand with vi. Next reboot, kudzu comes up again. So I said do nothing.
I'm pretty sure my configuration was preserved this time, but at the
next reboot, kudzu still came up trying to install the i830m chipset.
After a few times, I tried selecting ignore from kudzu. So if I
remember right, Ignore and Do Nothing preserved the config, but kudzu
still kept coming back up. If I selected install I would loose my
synaptics driver options. Changing them with vi led to kudzu finding
the i830m. So one time I looked and noticed that my hand tweaked conf
file was there as a .backup, presumably created by kudzu, so I just
copied it over, restarted X, and went on my merry way. I haven't seen
kudzu come up since.
Comment 8 Bill Nottingham 2004-11-30 00:59:46 EST
Are you using rhgb?
Comment 9 Justin Georgeson 2004-11-30 10:39:39 EST
yes
Comment 10 Bill Nottingham 2005-09-28 17:13:08 EDT
Sorry, but I've been unable to reproduce this here. Does it still happen on FC4?
Comment 11 Justin Georgeson 2005-09-28 17:17:28 EDT
I don't have linux installed on that laptop anymore. The BIOS was just too
bothersome (had to keep it downgraded by several revisions to get any video,
ACPI was horribly busted, even with tweaked DSDT) to be worth it.
Comment 12 Matthew Miller 2006-07-10 16:35:10 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 13 Bill Nottingham 2006-08-24 20:29:51 EDT
I was never able to reproduce this, but a potential cause of this is fixed in
1.2.47-1.

Note You need to log in before you can comment on or make changes to this bug.